package com.hzya.frame.sys.voucherDetail.entity;

import java.util.Date;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.math.BigDecimal;
import com.hzya.frame.web.entity.BaseEntity;

/**
 * @description: 凭证单据明细  entity
 * @tableName: sys_voucher_detail
 * @entityName: VoucherDetailEntity
 * @author: gjh
 * @history: 1.0
 */
public class  VoucherDetailEntity extends BaseEntity {

	/** formmain_id */
	private String formmain_id;
	/** 单据id */
	private String receipt_id;
	/** 摘要 */
	private String abstract_msg;
	/** 项目 */
	private String project;
	/** 供应商 */
	private String supplier;
	/** 客户 */
	private String client;
	/** 业务员 */
	private String salesman;
	/** 部门 */
	private String section;
	/** 金额 */
	private BigDecimal amount;
	/** 排序 */
	private Long sorts;
	/** 组织机构ID */
	private String org_id;


	/** formmain_id */
	public void setFormmain_id(String formmain_id) {
			this.formmain_id = formmain_id;
			}
	/** formmain_id */
	public String getFormmain_id() {
			return formmain_id;
			}


	/** 单据id */
	public void setReceipt_id(String receipt_id) {
			this.receipt_id = receipt_id;
			}
	/** 单据id */
	public String getReceipt_id() {
			return receipt_id;
			}


	/** 摘要 */
	public void setAbstract_msg(String abstract_msg) {
			this.abstract_msg = abstract_msg;
			}
	/** 摘要 */
	public String getAbstract_msg() {
			return abstract_msg;
			}


	/** 项目 */
	public void setProject(String project) {
			this.project = project;
			}
	/** 项目 */
	public String getProject() {
			return project;
			}


	/** 供应商 */
	public void setSupplier(String supplier) {
			this.supplier = supplier;
			}
	/** 供应商 */
	public String getSupplier() {
			return supplier;
			}


	/** 客户 */
	public void setClient(String client) {
			this.client = client;
			}
	/** 客户 */
	public String getClient() {
			return client;
			}


	/** 业务员 */
	public void setSalesman(String salesman) {
			this.salesman = salesman;
			}
	/** 业务员 */
	public String getSalesman() {
			return salesman;
			}


	/** 部门 */
	public void setSection(String section) {
			this.section = section;
			}
	/** 部门 */
	public String getSection() {
			return section;
			}


	/** 金额 */
	public void setAmount(BigDecimal amount) {
			this.amount = amount;
			}
	/** 金额 */
	public BigDecimal getAmount() {
			return amount;
			}


	/** 排序 */
	public void setSorts(Long sorts) {
			this.sorts = sorts;
			}
	/** 排序 */
	public Long getSorts() {
			return sorts;
			}


	/** 组织机构ID */
	@Override
    public void setOrg_id(String org_id) {
			this.org_id = org_id;
			}
	/** 组织机构ID */
	@Override
    public String getOrg_id() {
			return org_id;
			}


}
